/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 809 $ $LastChangedDate: 2002-09-01 08:35:15 +0200 (Sun, 01 Sep 2002) $
 *
 * Standard library for Gont, Bitvector module implementation.
 */

open Bitvector;

extern void Bitvector___op(t, t, int);

void or(t dst, t src)
{
	Bitvector___op(dst, src, 0);
}

void and(t dst, t src)
{
	Bitvector___op(dst, src, 1);
}

void xor(t dst, t src)
{
	Bitvector___op(dst, src, 2);
}
